import classNames from "classnames";
import React from "react";
import { OrgChartProps } from "./interface";
import OrgChartNode from "./components/OrgChartNode";
import ChartWrapper from "./components/ChartWrapper";
import styles from "./OrgChart.less";

const OrgChart = (props: OrgChartProps) => {
  const { data, className, style, pan, zoom, maxZoom,minZoom,zoomStep, ...otherProps } = props;
  return !!data ? (
    <ChartWrapper
      pan={pan}
      zoom={zoom}
      maxZoom={maxZoom}
      minZoom={minZoom}
      zoomStep={zoomStep}
    >
    <div className={classNames(styles["org-chart-container"], className)} style={style}>
      <OrgChartNode {...otherProps} data={data}/>
    </div>
    </ChartWrapper>
  ) : null;
};

OrgChart.defaultProps = {
  direction: "vertical",
  expandAll: true,
  expandable: false
};

export default OrgChart;
