import { G2 } from "@ant-design/plots";

const G = G2.getEngine("canvas");

export const structureCardList = [
  {
    title: "当期总人数",
    active: 0,
    number: 14338,
    unit: "人",
    color: "#FFBB31",
    yoyVal: "4.75%",
    chainVal: "1.75%",
    yoyIcon: require("../../assets/images/down.png"),
    chainIcon: require("../../assets/images/up.png"),
    tabList: ["本月", "上月"]
  },
  {
    title: "本月入职",
    active: 0,
    number: 120,
    unit: "人",
    color: "#3DA5F6",
    yoyVal: "3.75%",
    chainVal: "4.75%",
    yoyIcon: require("../../assets/images/up.png"),
    chainIcon: require("../../assets/images/down.png"),
    tabList: ["本月", "上月"]
  },
  {
    title: "本月离职",
    active: 0,
    number: 40,
    unit: "人",
    color: "#5FD5C7",
    yoyVal: "4.75%",
    chainVal: "4.75%",
    yoyIcon: require("../../assets/images/down.png"),
    chainIcon: require("../../assets/images/up.png"),
    tabList: ["本月", "上月"]
  },
  {
    title: "年度累计入职",
    active: 0,
    number: 238,
    unit: "人",
    color: "#2B6DF6",
    yoyVal: "3.75%",
    chainVal: "2.75%",
    yoyIcon: require("../../assets/images/down.png"),
    chainIcon: require("../../assets/images/up.png"),
    tabList: ["本年", "去年"]
  },
  {
    title: "年度累计离职",
    active: 0,
    number: 198,
    unit: "人",
    color: "#B571EA",
    yoyVal: "5.75%",
    chainVal: "1.75%",
    yoyIcon: require("../../assets/images/down.png"),
    chainIcon: require("../../assets/images/down.png"),
    tabList: ["本年", "去年"]
  },
  {
    title: "平均年龄",
    active: 0,
    number: 28.0,
    unit: "岁",
    color: "#5FCC7B",
    yoyVal: "4.75%",
    chainVal: "4.75%",
    yoyIcon: require("../../assets/images/down.png"),
    chainIcon: require("../../assets/images/up.png"),
    tabList: ["本年", "去年"]
  }
];
export const frameCard1List = [
  {
    title: "离职人数",
    number: 40,
    unit: "人",
    color: "#FFD887",
    isLine: true,
    departureVal: "28人",
    refusal: "12人",
    icon: require("../../assets/images/lzrs.png")
  },
  {
    title: "离职率",
    color: "",
    icon: require("../../assets/images/lzl.png"),
    number: "0.27",
    unit: "%",
    yoyIcon: require("../../assets/images/down.png"),
    chainIcon: require("../../assets/images/up.png"),
    yoyVal: "4.75%",
    chainVal: "1.75%",
    isLine: false
    // title: "在职人数",
    // number: 14338,
    // unit: "人",
    // color: "#78C0F9",
    // isLine: true,
    // yoyIcon: require("../../assets/images/down.png"),
    // chainIcon: require("../../assets/images/up.png"),
    // yoyVal: "4.75%",
    // chainVal: "4.75%",
    // icon: require("../../assets/images/zzrs.png")
  }
];
export const frameCard2List = [
  {
    title: "全员离职率",
    icon: require("../../assets/images/qylzl.png"),
    bg: require("../../assets/images/qylzl_bg.png"),
    yoyIcon: require("../../assets/images/down.png"),
    chainIcon: require("../../assets/images/up.png"),
    yoyVal: "2.75%",
    chainVal: "4.75%",
    actualValue: {
      title: "实际值",
      number: 0.22,
      unit: "%"
    },
    contemValue: {
      title: "同期值",
      number: 0.45,
      unit: "%"
    }
  },
  {
    title: "关键岗位离职率",
    icon: require("../../assets/images/gjgwlzl.png"),
    bg: require("../../assets/images/gjgwlzl_bg.png"),
    yoyIcon: require("../../assets/images/down.png"),
    chainIcon: require("../../assets/images/up.png"),
    yoyVal: "2.32%",
    chainVal: "5.67%",
    actualValue: {
      title: "实际值",
      number: 0.32,
      unit: "%"
    },
    contemValue: {
      title: "同期值",
      number: 0.13,
      unit: "%"
    }
  },
  {
    title: "绩优员工离职率",
    icon: require("../../assets/images/jyyglzl.png"),
    bg: require("../../assets/images/jyyglzl_bg.png"),
    yoyIcon: require("../../assets/images/down.png"),
    chainIcon: require("../../assets/images/up.png"),
    yoyVal: "1.09%",
    chainVal: "4.78%",
    actualValue: {
      title: "实际值",
      number: 0.12,
      unit: "%"
    },
    contemValue: {
      title: "同期值",
      number: 0.23,
      unit: "%"
    }
  },
  {
    title: "培训管理分析",
    icon: require("../../assets/images/pxglfx.png"),
    bg: require("../../assets/images/pxglfx_bg.png"),
    actualValue: {
      title: "人均培训费用",
      number: "2,266.00",
      unit: "元"
    },
    contemValue: {
      title: "人均培训时长",
      number: 6,
      unit: "小时"
    }
  }
];
export const personnelFlowTablist = ["全员离职率", "主动离职率", "被动离职率", "关键岗位离职率", "绩优员工离职率", "转正率"];
export const personRankingTablist = ["销售人员有效金额排名", "销售新客户有效金额排名(2022-01-01前入职)", "销售新客户有效金额排名(2022-01-01后入职)"];
export const trainingRankingList = [
  {
    avatar: require("../../assets/images/zcy.png"),
    name: "赵晨雨",
    dept: "南京EBU二部项目服务部",
    score: "98分"
  },
  {
    avatar: require("../../assets/images/lk.png"),
    name: "李坤（CZ）",
    dept: "项目管理部-常州",
    score: "94分"
  },
  {
    avatar: require("../../assets/images/zkw.png"),
    name: "张开文",
    dept: "青岛EBU一部",
    score: "93分"
  },
  {
    avatar: require("../../assets/images/zd.png"),
    name: "张帝（ZZ）",
    dept: "郑州EBU一部业务二部",
    score: "92分"
  },
  {
    avatar: require("../../assets/images/pjj.png"),
    name: "潘俊杰",
    dept: "南京EBU九部项目服务部",
    score: "90分"
  },
  {
    avatar: require("../../assets/images/lwl.png"),
    name: "路卫亮",
    dept: "河南易筑联合",
    score: "88分"
  },
  {
    avatar: require("../../assets/images/lt.png"),
    name: "刘彤（ZZ）",
    dept: "项目三部-郑州",
    score: "87分"
  },
  {
    avatar: require("../../assets/images/syr.png"),
    name: "申衍茹",
    dept: "客户服务部-郑州",
    score: "85分"
  },
  {
    avatar: require("../../assets/images/ycl.png"),
    name: "殷存磊",
    dept: "济南EBU四部",
    score: "85分"
  }
];
export const teamRankingList = [
  {
    avatar: require("../../assets/images/zbl.png"),
    name: "左保林",
    dept: "上海EBU二部业务六部",
    score: "290.40%"
  },
  {
    avatar: require("../../assets/images/ygf.png"),
    name: "杨国福",
    dept: "郑州EBU三部",
    score: "75.50%"
  },
  {
    avatar: require("../../assets/images/zcycd.png"),
    name: "张晨阳(承德)",
    dept: "销售管理部-承德",
    score: "71.04%"
  },
  {
    avatar: "",
    name: "郭彦芳",
    dept: "北京EBU十七部业务一部",
    score: "58.18%"
  },
  {
    avatar: "",
    name: "郭晓龙",
    dept: "北京EBU一部业务五部",
    score: "53.85%"
  }
];
export const humanRankingList = [
  {
    avatar: require("../../assets/images/lq.png"),
    name: "梁倩",
    dept: "上海EBU二部销售管理部",
    score: "4,260,845.00"
  },
  {
    avatar: require("../../assets/images/zy.png"),
    name: "宗殷",
    dept: "营销管理部-合肥",
    score: "2,607,722.00"
  },
  {
    avatar: require("../../assets/images/hc.png"),
    name: "黄超",
    dept: "上海EBU十五部销售部",
    score: "2,213,232.00"
  },
  {
    avatar: "",
    name: "赵艳丽",
    dept: "销售管理部-华南二部深圳EBU一部",
    score: "2,164,522.00"
  },
  {
    avatar: "",
    name: "左文钟",
    dept: "上海EBU一部业务四部",
    score: "2,038,707.00"
  }
];
export const humanRankingList_1 = [
  {
    avatar: require("../../assets/images/zy.png"),
    name: "宗殷",
    dept: "营销管理部-合肥",
    score: "1,933,749"
  },
  {
    avatar: require("../../assets/images/hc.png"),
    name: "黄超",
    dept: "上海EBU十五部销售部",
    score: "1,857,431"
  },
  {
    avatar: require("../../assets/images/zwz.jpg"),
    name: "左文钟",
    dept: "上海EBU一部业务四部",
    score: "1,609,645"
  },
  {
    avatar: "",
    name: "杨艳(BJ)",
    dept: "北京EBU一部销售部",
    score: "1,295,972"
  },
  {
    avatar: "",
    name: "赵礼欢",
    dept: "上海EBU七部业务六部销售部",
    score: "1,294,900"
  }
];
export const humanRankingList_2 = [
  {
    avatar: require("../../assets/images/nyk.jpg"),
    name: "吕燕开",
    dept: "北京EBU四部销售部",
    score: "1,112,938"
  },
  {
    avatar: require("../../assets/images/wyy.jpg"),
    name: "吴洋洋",
    dept: "北京EBU六部业务二部销售部",
    score: "1,019,063"
  },
  {
    avatar: require("../../assets/images/ljh.jpg"),
    name: "罗家辉",
    dept: "佛山EBU四部",
    score: "737,100"
  },
  {
    avatar: "",
    name: "张宇航",
    dept: "石家庄EBU四部销售部",
    score: "681,590"
  },
  {
    avatar: "",
    name: "郑洪顺",
    dept: "销售管理部-福州EBU二部",
    score: "490,000"
  }
];
export const teamAnalysisRankingsOptions = [
  { value: "1", label: "团队负责人（指标<400万）" },
  { value: "2", label: "团队负责人(400万<=指标<600万)" },
  { value: "3", label: "团队负责人(600万<=指标<800万)" },
  { value: "4", label: "团队负责人(800万<=指标<1200万)" },
  { value: "5", label: "团队负责人(1200万<=指标<1600万)" },
  { value: "6", label: "团队负责人(1600万<=指标<3000万)" },
  { value: "7", label: "团队负责人(指标>=3000万)" }
];
export const orgList = {
  "key": 0,
  "label": "泛微总公司",
  "operatingIncome": "320165万元",
  "operatingIncomePercent": "31.18%",
  "operatingProfit": "120165万元",
  "operatingProfitPercent": "33.18%",
  "children": [
    {
      "key": 1, "label": "第一集团军",
      "operatingIncome": "20,165",
      "operatingIncomePercent": "17.23%",
      "operatingProfit": "10,165",
      "operatingProfitPercent": "13.18%"
    },
    {
      "key": 2, "label": "第二集团军",
      "operatingIncome": "30,165",
      "operatingIncomePercent": "19.23%",
      "operatingProfit": "20,165",
      "operatingProfitPercent": "11.18%"
    },
    {
      "key": 3, "label": "第三集团军",
      "operatingIncome": "21,065",
      "operatingIncomePercent": "20.23%",
      "operatingProfit": "12,789",
      "operatingProfitPercent": "9.18%",
      "children": [
        {
          "key": 11, "label": "苏皖大区",
          "operatingIncome": "9,665",
          "operatingIncomePercent": "23.21%",
          "operatingProfit": "6,665",
          "operatingProfitPercent": "20.43%",
          "children": [
            {
              "key": 20, "label": "泛微南京",
              "operatingIncome": "2,102",
              "operatingIncomePercent": "23.45%",
              "operatingProfit": "120,165",
              "operatingProfitPercent": "12.45%"
            },
            {
              "key": 21, "label": "泛微苏州",
              "operatingIncome": "1,398",
              "operatingIncomePercent": "21.45%",
              "operatingProfit": "120,165",
              "operatingProfitPercent": "10.34%"
            },
            {
              "key": 22, "label": "泛微无锡",
              "operatingIncome": "565.45",
              "operatingIncomePercent": "3.45%",
              "operatingProfit": "345.56",
              "operatingProfitPercent": "3.56%"
            },
            {
              "key": 23, "label": "泛微常州",
              "operatingIncome": "343.56",
              "operatingIncomePercent": "2,76%",
              "operatingProfit": "220,65",
              "operatingProfitPercent": "2.76%"
            },
            {
              "key": 24, "label": "泛微南通",
              "operatingIncome": "202.67",
              "operatingIncomePercent": "2.45%",
              "operatingProfit": "120,165",
              "operatingProfitPercent": "2.12%"
            },
            {
              "key": 25, "label": "泛微扬州",
              "operatingIncome": "240.11",
              "operatingIncomePercent": "2.34%",
              "operatingProfit": "201.34",
              "operatingProfitPercent": "2.09%"
            }
          ]
        },
        {
          "key": 12, "label": "山东大区",
          "operatingIncome": "1,165",
          "operatingIncomePercent": "9.23%",
          "operatingProfit": "1,003",
          "operatingProfitPercent": "6.18%"
        },
        {
          "key": 13, "label": "山西大区",
          "operatingIncome": "7,135",
          "operatingIncomePercent": "17.23%",
          "operatingProfit": "6,365",
          "operatingProfitPercent": "12.18%"
        },
        {
          "key": 14, "label": "河南大区",
          "operatingIncome": "20,165",
          "operatingIncomePercent": "19.23%",
          "operatingProfit": "9,455",
          "operatingProfitPercent": "12.18%"
        }
      ]
    },
    {
      "key": 4, "label": "第四集团军",
      "operatingIncome": "19,165",
      "operatingIncomePercent": "9.98%",
      "operatingProfit": "9,165",
      "operatingProfitPercent": "4.98%"
    },
    {
      "key": 5, "label": "第五集团军",
      "operatingIncome": "20,987",
      "operatingIncomePercent": "13.23%",
      "operatingProfit": "12,995",
      "operatingProfitPercent": "8.98%"
    }
  ]
};

export const laborProfitData = {
  nodes: [
    {
      id: "-1",
      value: {
        title: "泛微总公司",
        items: [
          {
            text: "泛微总公司"
          }
        ]
      }
    },
    {
      id: "00",
      value: {
        title: "第一集团军",
        items: [
          {
            text: "第一集团军"
          }
        ]
      }
    },
    {
      id: "01",
      value: {
        title: "第二集团军",
        items: [
          {
            text: "第二集团军"
          }
        ]
      }
    },
    {
      id: "02",
      value: {
        title: "第三集团军",
        items: [
          {
            text: "第三集团军"
          }
        ]
      }
    },
    {
      id: "03",
      value: {
        title: "第四集团军",
        items: [
          {
            text: "第四集团军"
          }
        ]
      }
    },
    {
      id: "04",
      value: {
        title: "第五集团军",
        items: [
          {
            text: "第五集团军"
          }
        ]
      }
    },
    {
      id: "1",
      value: {
        title: "苏皖大区",
        items: [
          {
            text: "苏皖大区"
          }
        ]
      }
    },
    {
      id: "2",
      value: {
        title: "山东大区",
        items: [
          {
            text: "山东大区"
          }
        ]
      }
    },
    {
      id: "3",
      value: {
        title: "山西大区",
        items: [
          {
            text: "山西大区"
          }
        ]
      }
    },
    {
      id: "4",
      value: {
        title: "河南大区",
        items: [
          {
            text: "河南大区"
          }
        ]
      }
    },
    {
      id: "6",
      value: {
        title: "泛微南京",
        items: [
          {
            text: "泛微南京"
          }
        ]
      }
    },
    {
      id: "7",
      value: {
        title: "泛微苏州",
        items: [
          {
            text: "泛微苏州"
          }
        ]
      }
    },
    {
      id: "8",
      value: {
        title: "泛微无锡",
        items: [
          {
            text: "泛微无锡"
          }
        ]
      }
    },
    {
      id: "9",
      value: {
        title: "泛微常州",
        items: [
          {
            text: "泛微常州"
          }
        ]
      }
    },
    {
      id: "10",
      value: {
        title: "泛微南通",
        items: [
          {
            text: "泛微南通"
          }
        ]
      }
    },
    {
      id: "11",
      value: {
        title: "泛微扬州",
        items: [
          {
            text: "泛微扬州"
          }
        ]
      }
    }
  ],
  edges: [
    {
      source: "-1",
      target: "00",
      value: ""
    },
    {
      source: "-1",
      target: "01",
      value: ""
    },
    {
      source: "-1",
      target: "02",
      value: ""
    },
    {
      source: "-1",
      target: "03",
      value: ""
    },
    {
      source: "-1",
      target: "04",
      value: ""
    },
    {
      source: "02",
      target: "1"
    },
    {
      source: "02",
      target: "2"
    },
    {
      source: "02",
      target: "3"
    },
    {
      source: "02",
      target: "4"
    },
    {
      source: "1",
      target: "6"
    },
    {
      source: "1",
      target: "7"
    },
    {
      source: "1",
      target: "8"
    },
    {
      source: "1",
      target: "9"
    },
    {
      source: "1",
      target: "10"
    },
    {
      source: "1",
      target: "11"
    }
  ]
};
export const laborProfitDataConfig = {
  data: laborProfitData,
  layout: {
    rankdir: "TB",
    ranksepFunc: () => 20,
    nodesepFunc: () => 30
  },
  nodeCfg: {
    anchorPoints: [
      [0.5, 0],
      [0.5, 1]
    ],
    customContent: (item, group, cfg) => {
      console.log(item, group, cfg);
      const { startX, startY, width } = cfg;
      const { text, value, icon } = item;
      let textShape, valueShape, iconShape;
      textShape =
        text && group.addShape("text", {
          attrs: {
            textBaseline: "top",
            x: startX,
            y: startY,
            text,
            fill: "#f00"
          },
          // group 内唯一字段
          name: `text-${Math.random()}`
        });
      valueShape =
        value &&
        group.addShape("text", {
          attrs: {
            textBaseline: "top",
            x: startX + width / 2,
            y: startY,
            text: value,
            fill: "#f00"
          },
          name: `value-${Math.random()}`
        });
      iconShape =
        icon &&
        group.addShape("image", {
          attrs: {
            x: startX,
            y: startY,
            width: 72,
            height: 72,
            img: icon
          },
          name: `image-${Math.random()}`
        });
      return Math.max(
        textShape?.getBBox().height ?? 0,
        valueShape?.getBBox().height ?? 0,
        iconShape?.getBBox().height ?? 0
      );
    }
  },
  edgeCfg: {
    type: "polyline",
    endArrow: true
  },
  markerCfg: (cfg) => {
    return {
      position: "bottom",
      show: laborProfitData.edges.filter((item) => item.source === cfg.id)?.length
    };
  },
  behaviors: ["drag-canvas", "zoom-canvas"]
};
