/*
 * Author: 黎永顺
 * name: 人员流量表卡片组件
 * Description:
 * Date: 2023/5/5
 */
import React, { FC } from "react";
import { Progress } from "antd";
import styles from "./index.less";
import { TinyArea } from "@ant-design/plots";

interface OwnProps {
  title: string;
  number: string;
  unit: string;
  color: string;
  icon: any;
  isLine: boolean;
  yoyVal?: string;
  chainVal?: string;
  yoyIcon?: any;
  departureVal?: string,
  refusal?: string,
  chainIcon?: any;
}

type Props = OwnProps;
const config = {
  height: 60,
  autoFit: false,
  data: [264, 417, 438, 887, 309, 397, 550],
  smooth: true,
  areaStyle: {
    fill: "#d6e3fd"
  },
  tooltip: {
    showCrosshairs: false,
    showContent: false
  }
};
const FrameCard1: FC<Props> = (props) => {
  const { title, number, unit, color, icon, isLine, yoyIcon, chainIcon, yoyVal, chainVal, departureVal, refusal } = props;

  return (
    <div className={styles.frameCard1Wrapper}>
      <div className={styles.top}>
        <div><img src={icon} alt=""/><span>{title}</span></div>
        <div><span>{number}</span><span>{unit}</span></div>
      </div>
      <div className={styles.center}>
        {
          isLine ?
            <TinyArea {..._.assign(config, {
              areaStyle: { fill: `l(270) 0:#fff 0.5:${color} 1:${color}` },
              line: { color }
            })} /> : <Progress percent={0.57} showInfo={false}/>
        }
      </div>
      <div className={styles.bottom}>
        {
          yoyIcon ? <>
            <span><span>同比：</span>{yoyIcon && <img src={yoyIcon} alt=""/>}<span>{yoyVal}</span></span>
            <span><span>环比：</span>{chainIcon && <img src={chainIcon} alt=""/>}<span>{chainVal}</span></span>
          </>:<>
            <span><span>主动离职：</span>{yoyIcon && <img src={yoyIcon} alt=""/>}<span>{departureVal}</span></span>
            <span><span>辞退：</span>{chainIcon && <img src={chainIcon} alt=""/>}<span>{refusal}</span></span>
          </>
        }
      </div>
    </div>
  );
};

export default FrameCard1;
