/*
 * Author: 黎永顺
 * name: 人员流量表卡片组件
 * Description:
 * Date: 2023/5/5
 */
import React, { FC } from "react";
import styles from "./index.less";

interface OwnProps {
  title: string;
  icon: any;
  actualValue: any;
  contemValue: any;
  yoyVal?: string;
  chainVal?: string;
  yoyIcon?: any;
  chainIcon?: any;
}

type Props = OwnProps;
const FrameCard2: FC<Props> = (props) => {
  const { title, icon, actualValue, contemValue, yoyIcon, chainIcon, yoyVal, chainVal } = props;

  return (
    <div className={styles.frameCard2Wrapper}>
      <div className={styles.top}>
        <div>{title}</div>
        <img src={icon} alt=""/>
      </div>
      <div className={styles.center}>
        <div><span>{actualValue?.title}</span>
          <div><span>{actualValue?.number}</span><span>{actualValue?.unit}</span></div>
        </div>
        <div><span>{contemValue?.title}</span>
          <div><span>{contemValue?.number}</span><span>{contemValue?.unit}</span></div>
        </div>
      </div>
      {
        yoyIcon &&
        <div className={styles.bottom}>
          <span><span>同比：</span>{yoyIcon && <img src={yoyIcon} alt=""/>}<span>{yoyVal}</span></span>
          <span><span>环比：</span>{chainIcon && <img src={chainIcon} alt=""/>}<span>{chainVal}</span></span>
        </div>
      }

    </div>
  );
};

export default FrameCard2;
