const AgeStructureBar = (echarts: any) => {
  // 实例化对象
  const myChart = echarts.init(document.getElementById("ageStructure"));
  // 配置项
  const option = {
    legend: {
      icon: "circle",
      top: "-1%",
      right: "0%",
      itemGap: 20,
      textStyle:{
        fontSize: 12,//字体大小
        color: '#ffffff'//字体颜色
      },
    },
    tooltip: {
      // 坐标轴指示器，坐标轴触发有效
      trigger: "axis",
      axisPointer: {
        // 默认为直线，可选为：'line' | 'shadow'
        type: "shadow"
      }
    },
    grid: {
      left: "0%",
      top: 20,
      right: "0%",
      bottom: "0%",
      containLabel: true
    },
    xAxis: {
      type: "value",
      show: false,
      axisLine: {
        show: false
      },
      splitLine: {
        show: false
      },
      axisTick: {
        show: false // 不显示坐标轴刻度线
      }
    },
    yAxis: {
      type: "category",
      data: ["30岁以下", "30～40岁", "40～50岁", "50～60岁", "60岁以上"],
      // 修改坐标值样式
      axisLine: {
        show: false
      },
      axisLabel: {
        color: "rgba(255, 255, 255, 1)",
        fontSize: 10,
        show: true
      },
      axisTick: {
        show: false // 不显示坐标轴刻度线
      }
    },
    series: [
      {
        name: "男",
        type: "bar",
        stack: "total",
        barWidth: "30%",
        label: {
          show: true,
          color: "rgba(255, 255, 255, 1)",
          fontSize: 10
        },
        emphasis: {
          focus: "series"
        },
        data: [320, 302, 301, 334, 390],
        // bar 样式修改
        itemStyle: {
          barBorderRadius: [10, 0 , 0 , 10],
          color: new echarts.graphic.LinearGradient(0, 0, 1, 0, [
            { offset: 0, color: "#3EA1FF" },
            { offset: 0.5, color: "#72CFFF" },
            { offset: 1, color: "#72CFFF" }
          ]),
        },
      },
      {
        name: "女",
        type: "bar",
        stack: "total",
        barWidth: "30%",
        label: {
          show: true,
          color: "rgba(255, 255, 255, 1)",
          fontSize: 10
        },
        emphasis: {
          focus: "series"
        },
        data: [120, 132, 101, 134, 90],
        // bar 样式修改
        itemStyle: {
          barBorderRadius: [0, 10 , 10 , 0],
          color: new echarts.graphic.LinearGradient(0, 0, 1, 0, [
            { offset: 0, color: "#B2FDB2" },
            { offset: 0.5, color: "#00D5FF" },
            { offset: 1, color: "#00D5FF" }
          ]),
        },
      }
    ]
  };
  // 配置项给实例对象
  myChart.setOption(option);
  return myChart;
};

export default AgeStructureBar;
