const PersonnelCategoryBar = (echarts: any) => {
  // 实例化对象
  const myChart = echarts.init(document.getElementById("changeStatistics"));
  // 配置项
  const option = {
    tooltip: {
      // 坐标轴指示器，坐标轴触发有效
      trigger: "axis",
      axisPointer: {
        // 默认为直线，可选为：'line' | 'shadow'
        type: "shadow"
      }
    },
    grid: {
      left: "0%",
      top: 10,
      right: "0%",
      bottom: "4%",
      // true: 数值离DOM盒子的距离 false: 坐标轴离DOM盒子的距离
      containLabel: true
    },
    xAxis: [
      {
        type: "category",
        data: ["公司本部", "公司1", "公司2", "公司3", "公司4", "公司5", "公司6", "公司7"],
        axisTick: {
          alignWithLabel: true
        },
        // 修改坐标值样式
        axisLabel: {
          color: "rgba(255, 255, 255, 1)",
          fontSize: 10,
          show: true
        },
        axisLine: {
          show: false
        }
      }
    ],
    yAxis: [
      {
        type: "value",
        // 修改坐标值样式
        axisLabel: {
          color: "rgba(255, 255, 255, 1)",
          fontSize: 12
        },
        // 修改坐标轴线样式
        axisLine: {
          show: false
        },
        axisTick: {
          show: false // 不显示坐标轴刻度线
        },
        splitLine: {
          lineStyle: {
            type: "dashed",
            color: "rgba(93,126,158,1)"
          }
        }
      }
    ],
    series: [
      {
        name: "入职",
        type: "bar",
        showBackground: false,
        barWidth: "10%",
        data: [250, 250, 320, 410, 280, 320, 405, 405],
        // bar 样式修改
        itemStyle: {
          barBorderRadius: 10,
          color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
            { offset: 0, color: "#3EA1FF" },
            { offset: 0.5, color: "#72CFFF" },
            { offset: 1, color: "#72CFFF" }
          ])
        }
      },
      {
        name: "离职",
        type: "bar",
        showBackground: false,
        barWidth: "10%",
        data: [370, 370, 260, 110, 390, 280, 110, 110],
        // bar 样式修改
        itemStyle: {
          barBorderRadius: 10,
          color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
            { offset: 0, color: "#00D5FF" },
            { offset: 0.5, color: "#B2FDB2" },
            { offset: 1, color: "#B2FDB2" }
          ])
        }
      },
      {
        name: "调职",
        type: "bar",
        showBackground: false,
        barWidth: "10%",
        data: [310, 310, 80, 280, 310, 70, 280, 280],
        // bar 样式修改
        itemStyle: {
          barBorderRadius: 10,
          color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
            { offset: 0, color: "#1455FF" },
            { offset: 0.5, color: "#5F9CFF" },
            { offset: 1, color: "#5F9CFF" }
          ])
        }
      }
    ]
  };
  // 配置项给实例对象
  myChart.setOption(option);
  return myChart;
};

export default PersonnelCategoryBar;
