import { getPie3D } from "@/utils/chart";

const color = ["#FE772D", "#FEDB4B", "#2A71FF", "#00EDFE"];

const DegreeStructurePie = (echarts: any) => {
  // 实例化对象
  const myChart = echarts.init(document.getElementById("degreeStructure"));
  // 配置项
  const option = {
    ...getPie3D(setLabel([
      {
        name: "研究生（博士）",
        value: 176
      },
      {
        name: "研究生（硕士）",
        value: 288
      },
      {
        name: "本科",
        value: 588
      },
      {
        name: "大专及以下",
        value: 78
      }
    ], color), 0.6, 240, 26, 18, 1, true)
  };
  // 配置项给实例对象
  myChart.setOption({
    ...option,
    legend: {
      orient: "vertical",
      icon: "circle",
      top: "25%",
      left: "10%",
      itemGap: 28,
      textStyle: {
        fontSize: 12,//字体大小
        color: "#ffffff"//字体颜色
      }
    }
  });
  return myChart;
};

export default DegreeStructurePie;

export const setLabel = (optionData: any, color: any) => {
  return optionData.map((item: any, index: number) => {
    return {
      ...item,
      itemStyle: {
        color: color[index]
      },
      label: {
        normal: {
          show: false,
          color: color[index],
          position: "right",
          // distance:-10,
          offset: [0, 3],
          formatter: [
            "{d|{d}%}",
            "————",
            //   '{c|{c}}{b|台}',
            "{b|{b}}"
          ].join("\n"), // 用\n来换行
          rich: {
            b: {
              // color: '#fff',
              lineHeight: 25,
              align: "left",
              color: color[index]
            },
            c: {
              fontSize: 22,
              textShadowColor: "#1c90a6",
              textShadowOffsetX: 0,
              textShadowOffsetY: 2,
              textShadowBlur: 5,
              color: color[index]
            },
            d: {
              color: color[index],
              align: "left"
            }
          }
        }
      },
      labelLine: {
        normal: {
          show: false,
          length2: 30,
          lineStyle: {
            width: 1,
            color: color[index]
          }
        }
      }
    };
  });
};
