import { getPie3D } from "@/utils/chart";
import { setLabel } from "./degreeStructurePie";

const color = ["#BD42EF", "#6D45F3", "#3358F3", "#6ECDE5"];
const GradAnalysisPie = (echarts: any) => {
  // 实例化对象
  const myChart = echarts.init(document.getElementById("gradAnalysis"));
  // 配置项
  const option = {
    ...getPie3D(setLabel([
      {
        name: "正高级",
        value: 500
      },
      {
        name: "副高级",
        value: 1120
      },
      {
        name: "中级",
        value: 4567
      },
      {
        name: "初级",
        value: 5278
      }
    ], color), 0.6, 240, 26, 18, 1, false)
  };
  // 配置项给实例对象
  myChart.setOption({
    ...option,
    legend: {
      orient: "vertical",
      icon: "circle",
      top: "25%",
      left: "10%",
      itemGap: 28,
      textStyle: {
        fontSize: 12,//字体大小
        color: "#ffffff"//字体颜色
      }
    }
  });
  return myChart;
};

export default GradAnalysisPie;
