const PersonnelCategoryBar = (echarts: any) => {
  // 实例化对象
  const myChart = echarts.init(document.getElementById("personnelCategory"));
  // 配置项
  const option = {
    tooltip: {
      // 坐标轴指示器，坐标轴触发有效
      trigger: "axis",
      axisPointer: {
        // 默认为直线，可选为：'line' | 'shadow'
        type: "shadow"
      }
    },
    grid: {
      left: "0%",
      top: 10,
      right: "0%",
      bottom: "4%",
      // true: 数值离DOM盒子的距离 false: 坐标轴离DOM盒子的距离
      containLabel: true
    },
    xAxis: [
      {
        type: "category",
        data: ["领导班子", "海外中国籍", "正式在岗", "海外外籍", "退休返聘", "其他临时", "劳务派遣", "内退"],
        axisTick: {
          alignWithLabel: true
        },
        // 修改坐标值样式
        axisLabel: {
          color: "rgba(255, 255, 255, 1)",
          fontSize: 10,
          rotate: 60,
          show: true
        },
        axisLine: {
          show: false
        }
      }
    ],
    yAxis: [
      {
        type: "value",
        // 修改坐标值样式
        axisLabel: {
          color: "rgba(255, 255, 255, 1)",
          fontSize: 12
        },
        // 修改坐标轴线样式
        axisLine: {
          show: false
        },
        axisTick: {
          show: false // 不显示坐标轴刻度线
        },
        splitLine: {
          lineStyle: {
            type: "dashed",
            color: "rgba(93,126,158,1)"
          }
        }
      }
    ],
    series: [
      {
        name: "直接访问",
        type: "bar",
        showBackground: true,
        barWidth: "30%",
        data: [10, 52, 200, 334, 390, 1030, 220, 210],
        // bar 样式修改
        itemStyle: {
          color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
            { offset: 0, color: "#3EA1FF" },
            { offset: 0.5, color: "#72CFFF" },
            { offset: 1, color: "#72CFFF" }
          ]),
          emphasis: {
            itemStyle: {
              color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                { offset: 0, color: "#AFD8FF" },
                { offset: 0.7, color: "#AFD8FF" },
                { offset: 1, color: "#AFD8FF" }
              ])
            }
          }
        }
      }
    ]
  };
  // 配置项给实例对象
  myChart.setOption(option);
  return myChart;
};

export default PersonnelCategoryBar;
