/*
 * Author: 黎永顺
 * name: 框架组件
 * Description:
 * Date: 2023/5/4
 */
import React, { FC, useState } from "react";
import cs from "classnames";
import styles from "./index.less";

interface OwnProps {
  position: string;
  tabList: Array<any>;
  children: any;
  titleImg: any;
  type?: string;
}

type Props = OwnProps;
const FrameComp: FC<Props> = (props) => {
  const { position, children, tabList, titleImg } = props;
  const [active, setActive] = useState<number>(0);

  return (
    <div className={styles.frameWrapper}>
      <div className={styles.headerTop}>
        <div className={cs(styles.headerLeft, { [styles["halfHeaderLeft"]]: position === "right" })}>
          <img src={titleImg} alt=""/>
          {
            position === "right" &&
            <ul className={styles.tabWrapper}>
              {
                _.map(tabList, (item, index) => {
                  const classes = cs({
                    [styles["liActive"]]: index === active
                  });
                  return <li key={index} onClick={() => setActive(index)} className={classes}>{item}</li>;
                })
              }
            </ul>
          }
        </div>
        <span className={styles.moreWrapper}>More <img src={require("../../../../assets/images/more.png")}
                                                       alt=""/></span>
      </div>
      {
        position === "bottom" &&
        <ul className={styles.tabWrapper}>
          {
            _.map(tabList, (item, index) => {
              const classes = cs({
                [styles["liActive"]]: index === active
              });
              return <li key={index} onClick={() => setActive(index)} className={classes}>{item}</li>;
            })
          }
        </ul>
      }
      {children}
    </div>
  );
};

export default FrameComp;
