import "echarts/map/js/china";
//  地图数据
const mapData = {
  citys: [
    {
      name: "浙江",
      value: [120.15, 29.28, -2],
      symbolSize: 2,
      itemStyle: {
        normal: {
          color: "#FFF"
        }
      }
    },
    {
      name: "四川",
      value: [103.36, 30.65, -5],
      symbolSize: 2,
      itemStyle: {
        normal: {
          color: "#FFF"
        }
      }
    },
    {
      name: "内蒙古",
      value: [112.17, 42.81, -23],
      symbolSize: 2,
      itemStyle: {
        normal: {
          color: "#FFF"
        }
      }
    },
    {
      name: "江苏",
      value: [120.26, 32.54, -1],
      symbolSize: 2,
      itemStyle: {
        normal: {
          color: "#FFF"
        }
      }
    },
    {
      name: "西藏",
      value: [89.13, 30.66, -1],
      symbolSize: 2,
      itemStyle: {
        normal: {
          color: "#FFF"
        }
      }
    }
  ]
};
export const salaryData = {
  header: ["业务板块", "二级机构", "人员类型", "起始时间", "截止时间", "发薪人数", "固定薪酬", "浮动薪酬", "薪酬合计", "薪酬固浮化"],
  data: [
    ["国内工程", "建设集团", "领导班子", "2023.1", "2023.1", "23", "20,000", "20,000", "20,000", "20,000"],
    ["国内工程", "建设集团", "领导班子", "2023.1", "2023.1", "23", "20,000", "20,000", "20,000", "20,000"],
    ["国内工程", "建设集团", "领导班子", "2023.1", "2023.1", "23", "20,000", "20,000", "20,000", "20,000"],
    ["国内工程", "建设集团", "领导班子", "2023.1", "2023.1", "23", "20,000", "20,000", "20,000", "20,000"],
    ["国内工程", "建设集团", "领导班子", "2023.1", "2023.1", "23", "20,000", "20,000", "20,000", "20,000"],
    ["国内工程", "建设集团", "领导班子", "2023.1", "2023.1", "23", "20,000", "20,000", "20,000", "20,000"],
    ["国内工程", "建设集团", "领导班子", "2023.1", "2023.1", "23", "20,000", "20,000", "20,000", "20,000"],
    ["国内工程", "建设集团", "领导班子", "2023.1", "2023.1", "23", "20,000", "20,000", "20,000", "20,000"]
  ]
};

export const mapOptions = (params) => ({
  title: {
    show: false,
    text: "全国物流输送图",
    left: "center",
    textStyle: {
      color: "#fff"
    }
  },
  legend: {
    show: false
  },
  geo: [
    {
      nameMap: {
        China: "中国"
      },
      map: "china",
      zlevel: 5,
      label: {
        normal: {
          show: true,
          formatter: function (params) {
            //圆环显示文字
            return params.name === "江苏" || params.name === "浙江" || params.name === "四川" || params.name === "内蒙古" || params.name === "西藏" ? params.name : "";
          },
          fontSize: 12,
          color: "#FFF"
        },
        emphasis: {
          show: true,
          color: "#FFF"
        }
      },
      zoom: 1.2,
      itemStyle: {
        normal: {
          borderColor: "rgba(148,224,250, .5)", //区域边框颜色
          areaColor: "rgba(82,164,238,.1)", //区域颜色
          borderWidth: 1, //区域边框宽度
          shadowBlur: 5,
          shadowColor: "rgba(3,113,173,.7)"
        },
        emphasis: {
          borderColor: "rgba(148,224,250, .5)",
          areaColor: "rgba(6,89,176,.3)",
          borderWidth: 2.5,
          shadowBlur: 5,
          shadowColor: "rgba(3,113,173,.5)"
        }
      }
    },
    {
      nameMap: {
        China: "中国"
      },
      map: "china",
      zlevel: 4,
      top: "11%",
      label: {
        emphasis: {
          show: false
        }
      },
      zoom: 1.2,
      itemStyle: {
        normal: {
          // borderColor: 'rgba(255,209,163, .5)', //区域边框颜色
          areaColor: "rgba(73,86,166,.1)", //区域颜色
          borderWidth: 0.5, //区域边框宽度
          shadowBlur: 5,
          shadowColor: "rgba(107,91,237,.7)"
        },
        emphasis: {
          borderColor: "transparent",
          areaColor: "transparent",
          borderWidth: 1,
          shadowBlur: 5,
          shadowColor: "transparent"
        }
      }
    },
    {
      nameMap: {
        China: "中国"
      },
      map: "china",
      zlevel: 3,
      top: "12%",
      label: {
        emphasis: {
          show: false
        }
      },
      zoom: 1.2,
      itemStyle: {
        normal: {
          areaColor: "rgba(73,86,166,.1)", //区域颜色
          borderWidth: 0.5, //区域边框宽度
          shadowBlur: 5,
          shadowColor: "rgba(107,91,237,.7)"
        },
        emphasis: {
          borderColor: "transparent",
          areaColor: "transparent",
          borderWidth: 1,
          shadowBlur: 5,
          shadowColor: "transparent"
        }
      }
    },
    {
      nameMap: {
        China: "中国"
      },
      map: "china",
      zlevel: 2,
      top: "13%",
      label: {
        emphasis: {
          show: false
        }
      },
      zoom: 1.2,
      itemStyle: {
        normal: {
          // borderColor: 'rgba(255,209,163, .5)', //区域边框颜色
          areaColor: "rgba(73,86,166,.1)", //区域颜色
          borderWidth: 0.5, //区域边框宽度
          shadowBlur: 5,
          shadowColor: "rgba(107,91,237,.7)"
        },
        emphasis: {
          borderColor: "transparent",
          areaColor: "transparent",
          borderWidth: 1,
          shadowBlur: 5,
          shadowColor: "transparent"
        }
      }
    }
  ],
  series: [
    {
      name: "地点",
      type: "custom",
      coordinateSystem: "geo",
      zlevel: 12,
      renderItem(params, api) {
        //具体实现自定义图标的方法
        return {
          type: "image",
          style: {
            image: require("../../../../assets/images/zs.png"),
            x: api.coord([
              mapData.citys[params.dataIndex].value[0],
              mapData.citys[params.dataIndex].value[1]
            ])[0],
            y: api.coord([
              mapData.citys[params.dataIndex].value[0],
              mapData.citys[params.dataIndex].value[1]
            ])[1]
          }
        };
      },
      data: mapData.citys
    }
  ]
});
export const userOptions = (params = {}) => ({
  header: params.header,
  data: params.data
});
