/*
 * Author: 黎永顺
 * name: 大屏头部组件
 * Description:
 * Date: 2023/5/4
 */
import React, { FC, useEffect, useRef, useState } from "react";
import { formatTime } from "@/utils/common";
import styles from "./index.less";

interface OwnProps {
}

type Props = OwnProps;
const weekday = ["星期天", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
const TopPage: FC<Props> = (props) => {
  const [timeStr, setTimeStr] = useState<any>({});
  const timing = useRef<any>(null);
  useEffect(() => {
    setTimingFn();
    return () => {
      timing.current = null;
    };
  }, []);

  const setTimingFn = () => {
    timing.current = setInterval(() => {
      let dateYear = formatTime(new Date(), "yyyy-MM-dd");
      let dateDay = formatTime(new Date(), "HH:mm:ss");
      let dateWeek = weekday[new Date().getDay()];
      setTimeStr({ dateYear, dateDay, dateWeek });
    }, 1000);
  };

  return (
    <div className={styles.topPageWrapper}>
      <span className={styles.logoWrapper}><img src={require("../../../../assets/images/weaverlogo.png")}
                                                alt=""/></span>
      <div className={styles.title}>
        <img src={require("../../../../assets/images/head_title.png")} alt=""/>
        <div className={styles.updateTime}>
          <img src={require("../../../../assets/images/refresh.png")} alt=""/>
          数据更新时间：16:02:09
        </div>
      </div>
      <span
        className={styles.showTime}><span>{timeStr?.dateYear}</span><span
        className={styles.dateDay}>{timeStr?.dateDay}</span><span>{timeStr?.dateWeek}</span></span>
    </div>
  );
};

export default TopPage;
