const IncomeStatisticsRadar = (echarts: any) => {
  // 实例化对象
  const myChart = echarts.init(document.getElementById("incomeStatisticsRadar"));
  // 配置项
  const option = {
    tooltip: {
      show: true
    },
    legend: {
      show: true,		//是否显示图例
      icon: "rect",	//图例形状
      bottom: "2%",		// 图例距离顶部边距
      left: "center",	// 图例距离左侧边距
      itemWidth: 10,	// 图例标记的图形宽度。[ default: 25 ]
      itemHeight: 10,	// 图例标记的图形高度。[ default: 14 ]
      itemGap: 30,	// 图例每项之间的间隔。[ default: 10 ]横向布局时为水平间隔，纵向布局时为纵向间隔。
      orient: "horizontal",	// 图例列表的布局朝向,'horizontal'为横向,''为纵向.
      textStyle: { 	// 图例的公用文本样式。
        fontSize: 14,
        color: "#D4D4D4"
      }
    },
    radar: {
      // shape: 'circle',
      // , axisLabel: { show: true } 该属性加上会报错
      indicator: [
        { name: "销售", max: 20000 },
        { name: "客服", max: 20000 },
        { name: "开发", max: 20000 },
        { name: "其他", max: 20000 },
        { name: "项目", max: 20000 }
      ],
      splitArea: {
        show: false
      },
      axisLine: {
        show: false
      }
    },
    series: [
      {
        name: "人均浮动收入",
        type: "radar",
        data: [
          {
            value: [9000, 2000, 9000, 6000, 6000],
            name: "人均浮动收入"
          }
        ],
        label: {
          show: false,
          formatter: function (params: any) {
            return params.value;
          }
        },
        itemStyle: {     //此属性的颜色和下面areaStyle属性的颜色都设置成相同色即可实现
          color: "#64C3FF",
          borderColor: "#64C3FF"
        },
        areaStyle: {
          color: "rgba(100,195,255,0.26)"
        }
      },
      {
        name: "人均固定收入",
        type: "radar",
        data: [
          {
            value: [5500, 8000, 5000, 8800, 8900],
            name: "人均固定收入"
          }
        ],
        label: {
          show: false,
          formatter: function (params: any) {
            return params.value;
          }
        },
        itemStyle: {     //此属性的颜色和下面areaStyle属性的颜色都设置成相同色即可实现
          color: "#66EFE8",
          borderColor: "#66EFE8"
        },
        areaStyle: {
          color: "rgba(102,239,232,0.26)"
        }
      }
    ]
  };
  // 配置项给实例对象
  myChart.setOption(option);
  return myChart;
};

export default IncomeStatisticsRadar;
