const AgeStaticsPie = (echarts: any) => {
  // 实例化对象
  const myChart = echarts.init(document.getElementById("ageStatics"));
  // 配置项
  const option = {
    legend: {
      icon: "circle",
      bottom: "0%",
      left: "center",
      itemGap: 20,
      textStyle: {
        fontSize: 12,//字体大小
        color: "#787E95"//字体颜色
      }
    },
    color: ["#5FCD7B", "#F5CB49", "#7599F5", "#64BFDB"],
    series: [
      {
        name: "司龄统计",
        type: "pie",
        radius: ["45%", "60%"],
        avoidLabelOverlap: false,
        animation: false,
        label: {
          normal: {
            formatter: "{d}%",
            padding: [0, -25],
            position: "outer" //文字显示在内部，如果在外边把这个去掉就好
          }
        },
        labelLine: {
          show: false
        },
        data: [
          { value: 40, name: "1-3年" },
          { value: 35, name: "3-5年" },
          { value: 20, name: "5-8年" },
          { value: 5, name: "8年以上" }
        ]
      }
    ]
  };
  // 配置项给实例对象
  myChart.setOption(option);
  return myChart;
};

export default AgeStaticsPie;
