const GenderStaticsPie = (echarts: any) => {
  // 实例化对象
  const myChart = echarts.init(document.getElementById("genderStatics"));
  // 配置项
  const option = {
    tooltip: {
      show: true,
      formatter: "{a} <br/>{b}: {c} ({d}%)"
    },
    legend: {
      icon: "circle",
      bottom: "0%",
      left: "center",
      itemGap: 20,
      textStyle: {
        fontSize: 12,//字体大小
        color: "#787E95"//字体颜色
      }
    },
    color: ["#A6BEF3", "#205CE1"],
    grid: {
      bottom: "10%",
      containLabel: true
    },
    series: [
      {
        name: "性别统计",
        type: "pie",
        startAngle: -180,
        radius: [40, 70],
        roseType: "radius",
        avoidLabelOverlap: false,
        animation: false,
        label: {
          normal: {
            formatter: "{d}%",
            padding: [0, -25],
            position: "outer" //文字显示在内部，如果在外边把这个去掉就好
          }
        },
        labelLine: {
          show: false
        },
        data: [
          { value: 70, name: "男" },
          { value: 30, name: "女" }
        ]
      }
    ]
  };
  // 配置项给实例对象
  myChart.setOption(option);
  return myChart;
};

export default GenderStaticsPie;
