const InternStaticsBar = (echarts: any) => {
  // 实例化对象
  const myChart = echarts.init(document.getElementById("internStatics"));
  // 配置项
  const option = {
    xAxis: [
      {
        type: "value",
        name: "人",
        axisLabel: {
          formatter: "{value} "
        },
        splitLine: {
          show: true,
          lineStyle: {
            type: "dashed",
            color: "#1D3039"
          }
        },
        axisTick: {
          show: false
        },
        axisLine: {
          show: false,
          lineStyle: {
            fontSize: 12,
            color: "#D4D4D4"
          }
        }
      }
    ],
    grid: {
      top: "10%",
      left: "5%",
      right: "10%",
      bottom: "3%",
      containLabel: true
    },
    yAxis: [
      {
        type: "category",
        offset: 0,
        inverse:true,
        data: ["项目实\n\n" + "习生", "销售实\n\n" + "习生", "技术实\n\n" + "习生", "支撑实\n\n" + "习生", "客服实\n\n" + "习生"],
        axisPointer: {
          type: "shadow"
        },
        axisLine: {
          //这是x轴文字颜色
          show: false
        },
        axisTick: {
          show: false
        },
        axisLabel: {
          color: "#787E95",
          fontSize: 10
        }
      }
    ],
    series: [
      {
        data: [34, 19, 15, 32, 11],
        type: "bar",
        barWidth: "25%",
        realtimeSort: true,
        yAxisIndex: 0,
        itemStyle: {
          color: "#4CAEFF"   //设定单个柱子颜色
        },
        label: {
          normal: {
            show: true,
            position: "right",
            fontWeight: "bold",
            fontSize: 12
          }
        }
      }
    ]
  };
  // 配置项给实例对象
  myChart.setOption(option);
  return myChart;
};

export default InternStaticsBar;
