const LineStaticsPie = (echarts: any) => {
  // 实例化对象
  const myChart = echarts.init(document.getElementById("lineStatics"));
  // 配置项
  const option = {
    legend: {
      icon: "circle",
      bottom: "0%",
      left: "center",
      itemGap: 20,
      textStyle: {
        fontSize: 12,//字体大小
        color: "#787E95"//字体颜色
      }
    },
    color: ["#61D485", "#F4CB48", "#7499F5", "#65BFDC", "#ED9C5F"],
    series: [
      {
        name: "司龄统计",
        type: "pie",
        radius: ["45%", "60%"],
        center: ['50%', '41%'],
        avoidLabelOverlap: false,
        animation: false,
        label: {
          normal: {
            formatter: "{d}%",
            padding: [0, -25],
            position: "outer" //文字显示在内部，如果在外边把这个去掉就好
          }
        },
        labelLine: {
          show: false
        },
        data: [
          { value: 40, name: "项目" },
          { value: 20, name: "销售" },
          { value: 25, name: "技术" },
          { value: 10, name: "支撑" },
          { value: 5, name: "客服" }
        ]
      }
    ]
  };
  // 配置项给实例对象
  myChart.setOption(option);
  return myChart;
};

export default LineStaticsPie;
