const RankingBar = (echarts: any) => {
  // 实例化对象
  const colorList = ["#1E66F6", "#70CDFF", "#00C48B", "#FFD700", "#1E66F6", "#70CDFF", "#00C48B", "#FFD700"];
  const myChart = echarts.init(document.getElementById("rankingCharts"));
  // 配置项
  const option = {
    xAxis: [
      {
        type: "value",
        axisLabel: {
          formatter: "{value} "
        },
        splitLine: {
          show: true,
          lineStyle: {
            type: "dashed",
            color: "#1D3039"
          }
        },
        axisTick: {
          show: false
        },
        axisLine: {
          show: false,
          lineStyle: {
            fontSize: 12,
            color: "#D4D4D4"
          }
        }
      }
    ],
    grid: {
      top: "10%",
      left: "5%",
      right: "5%",
      bottom: "3%",
      containLabel: true
    },
    yAxis: [
      {
        type: "category",
        offset: 0,
        inverse: true, //升序
        // axisLabel: {
        //   color: "#787E95",
        //   fontSize: 16
        // },
        data: ["契约锁", "泛微北京", "泛微上海", "产品研发中心", "泛微华南一部", "泛微广州一部", "泛微杭州", "EBU事业一部"],
        axisPointer: {
          type: "shadow"
        },
        axisLine: {
          //这是x轴文字颜色
          show: false
        },
        axisTick: {
          show: false
        },
        axisLabel: {
          color: "#787E95",
          fontSize: 14,
          formatter: function (value: any, index: number) {
            if (index == 0) {
              return "{one|" + "} {a|   " + value + "}";
            } else if (index == 1) {
              return "{two|" + "} {a|" + value + "}";
            } else if (index == 2) {
              return "{three|" + "} {a|" + value + "}";
            }
            return value;
          },
          rich: {
            a: {
              color: "#787E95",
              fontSize: 14
            },
            // 第一名
            one: {
              width: 40,
              height: 20,
              margin: 10,
              align: "center",
              backgroundColor: {
                image: require("../../../../assets/images/one.png")
              }
            },
            two: {
              width: 40,
              height: 20,
              margin: 10,
              align: "center",
              backgroundColor: {
                image: require("../../../../assets/images/two.png")
              }
            },
            three: {
              width: 40,
              height: 20,
              marginRight: 20,
              align: "center",
              backgroundColor: {
                image: require("../../../../assets/images/three.png")
              }
            }
          }
        }
      },
      {
        type: "category",
        data: [4096, 1412, 1337, 788, 788, 347, 332, 291],
        inverse: true,//数组翻转显示
        axisTick: {
          alignWithLabel: true,
          show: false
        },
        axisLine: {
          show: false//不显示y轴的线
        },
        axisLabel: {
          textStyle: {
            fontSize: 16,
            color: function (params: any, index: any) {
              return colorList[index];
            }
          }
        }
      }
    ],
    series: [
      {
        data: _.map([4096, 1412, 1337, 788, 788, 347, 332, 291], (it, idx) => ({
          value: it,
          itemStyle: {
            color: colorList[idx],   //设定单个柱子颜色
            borderColor: colorList[idx],  //设定单个柱子边框颜色
            barBorderRadius: [10, 10, 10, 10]
          }
        })),
        type: "bar",
        barWidth: "20%",
        realtimeSort: true,
        yAxisIndex: 0,
        label: {
          normal: {
            show: false,
            position: "right",
            fontWeight: "bold",
            fontSize: 14
          }
        },
        showBackground: true,
        backgroundStyle: {
          color: "rgba(220, 220, 220, 0.8)",
          barBorderRadius: [10, 10, 10, 10]
        }
      },
      {
        name: "",
        type: "bar",
        yAxisIndex: 1,//使两个柱状图重合的效果
        barWidth: "25%",
        data: _.map([5000, 5000, 5000, 5000, 5000, 5000, 5000, 5000], (it, idx) => ({
          value: it,
          itemStyle: {
            color: "none",
            borderColor: colorList[idx],
            borderWidth: 2,
            barBorderRadius: [10, 10, 10, 10]
          }
        })),
        label: {
          show: false
        }
      }
    ]
  };
  // 配置项给实例对象
  myChart.setOption(option);
  return myChart;
};

export default RankingBar;
