/*
 * Author: 黎永顺
 * name: 人才结构表框组件
 * Description:
 * Date: 2023/5/5
 */
import React, { FC, useState } from "react";
import styles from "./index.less";
import cs from "classnames";

interface OwnProps {
  title: string;
  children: any;
  tabList?: Array<any>;
}

type Props = OwnProps;

const StructureFrame: FC<Props> = (props) => {
  const { children, tabList, title } = props;
  const [active, setActive] = useState<number>(0);

  return (
    <div className={styles.structureFrameWrapper}>
      <div className={styles.header}>
        <img src={require("../../../../assets/images/frame_icon.png")} alt=""/>
        <span>{title}</span>
      </div>
      {
        !_.isEmpty(tabList) &&
        <ul className={styles.tabBox}>
          {
            _.map(tabList, (it, idx) => {
              const classes = cs({
                [styles["active"]]: idx === active
              });
              return <li key={it} className={classes} onClick={() => setActive(idx)}>{it}</li>;
            })
          }
        </ul>
      }
      {children}
    </div>
  );
};

export default StructureFrame
;
